package gotowe.p05_switch;

import javax.swing.JOptionPane;

public class IleDniMaMiesiac2 {
    // Wersja z tradycyjnym switch z : i break. - działa w starych wersjach Javy oraz w C
    // W tej wersji staramy się grupować przypadki z taką samą odpowiedzią.
    // Jeśli napiszemy wiele case-ów bez break, to dla każdego z nich wykonamy taką samą rzecz.
	// W przypadku lutego zadajemy dodatkowe pytanie o rok przestępny.
	
	public static void main(String[] args) {
		String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
		
		switch(miesiac) {
		case "styczeń":
		case "marzec":
		case "maj":
		case "lipiec":
		case "sierpień":
		case "październik":
		case "grudzień":
			JOptionPane.showMessageDialog(null, "31 dni");
			break;
		case "kwiecień":
		case "czerwiec":
		case "wrzesień":
		case "listopad":
			JOptionPane.showMessageDialog(null, "30 dni");
			break;
		case "luty":
			if(JOptionPane.showConfirmDialog(null, "Czy to jest rok przestępny?") == JOptionPane.YES_OPTION) {
				JOptionPane.showMessageDialog(null, "29 dni");
			} else {
				JOptionPane.showMessageDialog(null, "28 dni");				
			}
			break;
		default:
			JOptionPane.showMessageDialog(null, "Nieznany miesiąc " + miesiac, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
	}

}
